var esprima = require('./test/3rdparty/esprima');
var escodegen = require('./escodegen');
var fs = require('fs');

var code = fs.readFileSync('jquery-1.7.2.js', 'utf-8');
var options = {
    comment: true,
    range: true,
    loc: false,
    tokens: true,
    raw: false
};
var tree = esprima.parse(code, options);
tree = escodegen.attachComments(tree, tree.comments, tree.tokens);

// console.log(JSON.stringify(tree, null, 2));

// for UNIX text comment
var actual = escodegen.generate(tree, {
    format: {
        indent: {
            adjustMultilineComment: true,
            style: '        '
        }
    }
}).replace(/[\n\r]$/, '') + '\n';
console.log(actual);
